<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class DepartamentoPuesto extends Model
{
    protected $table="tec_departamento_puesto";
    protected $fillable=['estado','departamento_id','puesto_id','personal_id'];


    public function puesto(){
        return $this->belongsTo('App\Puesto','puesto_id','id');
    }
    public function departamento(){
        return $this->belongsTo('App\Departamento','departamento_id','id');
    }
    public function personal(){
        return $this->belongsTo('App\Personal','personal_id','id');
    }
    /*public function salida(){
        return $this->where('departamento_id',1000000000);
    }*/
}

